package com.liquidnet.service.dragon.channel.unionpay.req;

import com.alibaba.fastjson.JSON;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class:  UnionpayTradePayReq
 * @Package com.liquidnet.service.dragon.channel.unionpay.req
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/7/9 17:50
 */
@Data
public class UnionpayTradePayReq extends UnionpayBaseReq implements Serializable, Cloneable{
    private static final long serialVersionUID = -5827961038383330701L;
    @Override
    public String toString(){
        return JSON.toJSONString(this);
    }
    private static final UnionpayTradePayReq obj = new UnionpayTradePayReq();

    public static UnionpayTradePayReq getNew() {
        try {
            return (UnionpayTradePayReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new UnionpayTradePayReq();
        }
    }
}
